@trunk:#1d1d21;
@primary: #212124;
@white: #29292d;
@service: #29292d;

@step: #51676a;
@cycle: #89ad75;
@land:  #55565e;
@state_text:        #765;
@state_halo:        @place_halo;

@regular:'Vazir FD Regular';
@bold:'Vazir FD Bold';
@italic:'Vazir FD Light';

@font_color: #fff;
@place_color: #E0F7FA;
@font_halo:darken(@trunk,25%);// #131313;


@name: '[name]';
@sans: @regular;
@sans_md: @regular;
@sans_bd: @bold;
@sans_it: @italic;
@sans_lt_italic: @italic;
@sans_lt: @regular;

@place_halo:        #fff;
@country_text:      @land * 0.2;
@country_halo:      @place_halo;

@arrow:#9e9e9e;
@university:#7dcdca;
@water:#2f4d65;
@hospital:#6e5155;
@rail:true;
@cemetery: #B3B3B3;
@traffic_zone_border: darken(#c2763c,5%); 
@traffic_zone_fill: #c2763c;
@odd_even_zone_fill: #6470e6;
@odd_even_zone_border: darken(#6470e6,5%);

@natural:#294740;

Map {
  background-color:@land;
  font-directory: url("fonts/");
}

#admin,#boundary  {
  line-join: round;
  line-color: darken(#440,8%);
  // Countries
  [admin_level=2] {
    line-width: 0.8;
    line-cap: round;
    [zoom>=4] { line-width: 1.2; }
    [zoom>=6] { line-width: 2; }
    [zoom>=8] { line-width: 4; }
    [disputed=1] {
      line-dasharray: 4,4;
      [zoom>=8] { line-dasharray: 7,7; }
    }
  }

  // States / Provices / Subregions
  [admin_level=4] {
    line-color:#383510;
    line-width: 0.4;
    [zoom>=7] {line-dasharray: 5,1; line-width: 1; line-color:darken(#383510,2%); }
    [zoom>=12] { line-width: 1.5;line-dasharray: 10,3,3; }
  }
}

#waterway {
  line-color: @water;
  line-cap: round;
  line-width: 0.3;
  [class='river'] {
    [zoom>=12] { line-width: 1; }
    [zoom>=14] { line-width: 2; }
    [zoom>=16] { line-width: 3; }
  }
  [class='stream'],
  [class='stream_intermittent'],
  [class='canal'] {
    [zoom>=14] { line-width: 1; }
    [zoom>=16] { line-width: 2; }
    [zoom>=18] { line-width: 3; }
  }
  [class='stream_intermittent'] { line-dasharray: 6,2,2,2; }
}

#landcover {
  [class='grass'],[class='wood'],[class='farmland'] {
    polygon-opacity:.2;
    polygon-fill:#38a88d80;
  }
}

#landuse {
  polygon-opacity:.4;
  [type='wood'],[type='national_park'],[type='park']{
    line-color:#38a88da0;
    line-width:1;
    polygon-fill:#38a88d;
    line-opacity:.4;
  }
  [type='water']{
    polygon-fill:@water;
    line-color:darken(@water,30);
    line-width:0.5;
    line-opacity:.4;
  }
  [type='hospital']{
      polygon-fill:@hospital;
      line-color:darken(@hospital,15);
      line-width:0.5;
      line-opacity:.4;
  }
  [type='military'][zoom>=14]{
    polygon-opacity:.2;
    polygon-fill:#bd7426;
  }
  [type='embassy']{
    line-color:#76779c;
    polygon-fill:#cbccd4;
  }
  [type='school'],[type='university'],[type='college']{
      line-width:0.5;
      polygon-opacity:.2;
      line-color:@university;
      polygon-fill:@university;
      line-opacity:.4;
  }
  [type='plant'],[type='industrial']{
      line-color:#b7b560;
      polygon-fill:#ebe3c4;
  }
  [type='aeroway']{
      line-color:#929393;
      polygon-fill:#d7ddda;
  }
  [zoom>=14][type='fair']{
    opacity:.5;
    line-color:#b7b7b7;
    polygon-fill:#d7d9d8;
  }
  [zoom>=14][type='yard']{
    opacity:.5;
    line-color:#b7b7b7;
    polygon-fill:#FFF;
  }
  [type='cemetery']{
      line-color:darken(@cemetery,30%);
      polygon-fill:@cemetery;
  }
  [type='odd_even_zone']{
      polygon-fill: @odd_even_zone_fill;
      polygon-opacity:linear([view::zoom],(9,1),(15,0.15));
  }
  [type='traffic_zone']{
      polygon-fill:@traffic_zone_fill;
      polygon-opacity: linear([view::zoom],(9,1),(15,0.15));
  }
  [type='residential']{
    polygon-fill: darken(@land,5%);
    polygon-opacity:.5;
  }
}

#zones[zoom>8] {
  [zoom>11]{
    text-placement:line;
    text-face-name:@bold;
    text-name:"[name]";
    text-size:10;
    text-halo-radius: 2.5;
    text-dy:-8;
  }
  [type='odd_even_zone']{
    text-fill: @odd_even_zone_border;
    text-halo-fill: @font_halo;
    ::line{
      line-color:@odd_even_zone_border;
      line-width: linear([view::zoom],(9,0.5),(16,3));
      [zoom>11]{line-dasharray:10,5};
    }
    ::fill{
      line-color:@odd_even_zone_border;
      line-width: linear([view::zoom],(9,1),(15,8));
      line-opacity:0.2;
    }
  }
  [type='traffic_zone']{
    text-fill: @traffic_zone_border;
    text-halo-fill: @font_halo;
    ::line{
      line-color:@traffic_zone_border;
      line-width: linear([view::zoom],(9,0.5),(16,3));
      [zoom>11]{line-dasharray:10,5};
    }
    ::fill{
      line-color:@traffic_zone_border;
      line-width: linear([view::zoom],(9,1),(15,8));
      line-opacity:0.2;
    }
  }
}


#water {
    polygon-fill: @water;
}

#tunnel,#street,#bridge,#transportation {
    [highway='pathway'],[highway='footway'],[highway='steps'],[class='path']{
        [zoom>=15]{
            line-dasharray: 2,1;
            [zoom>16]{line-dasharray: 5,2;}
            line-color: lighten(@white,5%);
            line-cap:round;
            line-join:round;
            line-width: 0.0041112055*exp(0.3804238*[view::zoom])-.9;
        }
    }
    [highway='pedestrian']{
      [zoom>=14]{
          line-color:lighten(@white,5%);
          line-dasharray: 2,1;
          [zoom>16]{line-dasharray: 10,2;}
	        [zoom>18]{line-dasharray: 20,2;}
          line-cap:round;
          line-join:round;
          line-width: 0.0042112055*exp(0.3804238*[view::zoom])-.9;
      }
    }

    //residential
    [highway='living_street'],[highway='service']{
        ::line{
            line-color:@white;
            [highway='service']{line-color: darken(@service,15%);}
            [zoom<15]{line-width:1;}
            [zoom>=15]{
                line-color: darken(@white,10%);
                line-cap:round;
                line-join:bevel;
            }
            line-width: 0.0031112055*exp(0.4004238*[view::zoom]);
        }
        ::fill{
            [zoom>=15]{
                line-color:@white;
                [highway='service']{line-color: @service;}
                line-cap:round;
                line-join:bevel;
                line-width: 0.0031112055*exp(0.4004238*[view::zoom])-.9;
            }
        }
    }
    //residential
    [highway='residential'],[highway='unclassified'],[class='minor']{
        ::line{
            line-color:@white;
            line-width:1;
            [zoom>=15]{
                line-color: darken(@white,10%);
                line-cap:round;
                line-join:bevel;
                #bridge,#tunnel{line-cap:butt;line-join:miter;}
            }
            line-width: 0.0031112055*exp(0.4310819121*[view::zoom]);
            #bridge{line-width: 0.0035112055*exp(0.4314819121*[view::zoom])+.7;}
            #tunnel{[zoom=14]{line-dasharray:7,2}}
            #tunnel{[zoom>14]{line-dasharray:10,1}}
        }
        ::fill{
            [zoom>=15]{
                line-color:@white;
                line-cap:round;
                line-join:bevel;
                line-width: 0.0030112055*exp(0.4310819121*[view::zoom]);
                #tunnel{line-color:lighten(@white,5%);}
            }
        }
    }
    //tertiary
    [highway='tertiary'],[highway='tertiary_link'],[class='tertiary'],[class='tertiary_link']{
        ::line{
            line-color: @white;
            [zoom>=14]{
                line-color: darken(@white,10%);
                line-cap:round;
                line-join:bevel;
                #bridge,#tunnel{line-cap:butt;line-join:miter;}
            }
            line-width: 0.0040112055*exp(0.4310819121*[view::zoom]);
            #bridge{line-width: 0.0019062831*exp(0.4906027082*[view::zoom])+.9;}
            #tunnel{[zoom=14]{line-dasharray:7,2}}
            #tunnel{[zoom>14]{line-dasharray:10,1}}
        }
        ::fill{
            [zoom>=14]{
                line-color:@white;
                line-cap:round;
                line-join:bevel;
                line-width: 0.0032112055*exp(0.4310819121*[view::zoom]);
                #tunnel{line-color:lighten(@white,5%);}
            }
        }
    }
    //secondary
    [highway='secondary'],[highway='secondary_link'],[class='secondary'],[class='secondary_link']{
        ::line{
            line-color:@white;
            [zoom<13]{line-width:1;}
            [zoom>13]{
                line-color: darken(@white,20%);
                line-cap:round;
                line-join:bevel;
                #bridge,#tunnel{line-cap:butt;line-join:miter;}
            }
            line-width: 0.003935542*exp(0.4316819121*[view::zoom]);
            #bridge{line-width: 0.004035542*exp(0.4316819121*[view::zoom]);}
            #tunnel{[zoom=14]{line-dasharray:7,2}}
            #tunnel{[zoom>14]{line-dasharray:10,1}}
        }
        ::fill{
            [zoom>13]{
                line-color:@white;
                line-cap:round;
                line-join:bevel;
                line-width: 0.002535542*exp(0.4316819121*[view::zoom]);
                #tunnel{line-color:lighten(@white,5%);}
            }
        }
    }
    //primary
    [highway='primary'],[highway='primary_link'],[class='primary'],[class='primary_link']{
        ::line{
            line-color:mix(@primary,@land,30%);
            [zoom<13]{line-width:1.5;}
            [zoom>=13]{
                line-color: darken(@primary,30%);
                line-cap:round;
                line-join:bevel;
                #bridge,#tunnel{line-cap:butt;line-join:miter;}
            }
            line-width: 0.032470862*exp(0.3331908932*[view::zoom]);
            #bridge{line-width: 0.035470862*exp(0.3331908932*[view::zoom]);}
            #tunnel{[zoom=14]{line-dasharray:7,2}}
            #tunnel{[zoom>14]{line-dasharray:10,1}}
        }
        ::fill{
            [zoom>=13]{
                line-color:@primary;
                line-cap:round;
                line-join:bevel;
                line-width: 0.028470862*exp(0.3301908932*[view::zoom]);
                #tunnel{line-color:lighten(@primary,5%);}
            }
        }
    }
    //trunk
    [highway='trunk'],[highway='trunk_link'],[highway='motorway'],[highway='motorway_link'],
    [class='trunk'],[class='trunk_link'],[class='motorway'][zoom>4],[class='motorway_link'][zoom>4]{
        ::line{
            line-color: darken(@trunk,25%);
            [zoom>13]{
                line-cap:round;
                line-join:bevel;
                #bridge,#tunnel{line-cap:butt;line-join:miter;}
            }
            line-width: 0.032470862*exp(0.3331908932*[view::zoom]);
            #bridge{line-width: 0.035470862*exp(0.3331908932*[view::zoom]);}

            #tunnel{[zoom=14]{line-dasharray:7,2}}
            #tunnel{[zoom>14]{line-dasharray:10,1}}
        }
        ::fill{
            line-color: @trunk;
            [zoom>13]{
                line-cap:round;
                line-join:bevel;
            }
            line-width: 0.028470862*exp(0.3301908932*[view::zoom]);
            #tunnel{line-color:lighten(@trunk,5%);}
        }
    }
}


//arrows
#street::arrow,#tunnel::arrow,#bridge::arrow,#transportation::arrow{
  [highway='trunk'],[highway='trunk_link'],[highway='motorway'],[highway='motorway_link'],
  [highway='primary'],[highway='primary_link'],[highway='secondary'],[highway='secondary_link'],
  [highway='tertiary'],[highway='tertiary_link'],[highway='residential'],[highway='unclassified'],
  [class='trunk'],[class='primary'],[class='secondary'],[class='tertiary'],[highway='service']{
    [oneway=1][zoom>=16]{
      marker-placement:line;
      marker-allow-overlap: true;
      marker-opacity:0.25;
      marker-height:6.5;
      marker-width:[view::zoom]*.6;
      marker-fill:@arrow;
      marker-line-color:@arrow;
      marker-spacing: 100;
    }
  }
}


#place_label[type='state'][zoom<=13] {
    text-name: '[name]';
    text-placement: nutibillboard;
    text-fill: @font_color;
    text-size: 8;
    text-wrap-width: 40;
    text-face-name:	@regular;
}

#point_label{
  text-placement: nutibillboard;
  text-fill:@font_color;
  text-face-name:	@sans;
  text-name: @name;
  text-size: 10;
  text-avoid-edges:true;
  [zoom>14]{
    text-size: 12;
  }
}

#place_label[zoom>=5] {
    text-halo-fill:@font_halo;
    text-halo-radius: 1.5;
    text-placement: nutibillboard;
    text-fill:@font_color;
    text-name: "";
    [type='city'][zoom>=5][zoom<=12] {
      shield-file: url("images/dot.svg");
      shield-name: '[name]';
      shield-size: 10;
      shield-face-name: @bold;
      shield-placement: nutibillboard;
      shield-halo-fill: @font_halo;
      shield-fill: @font_color;
      shield-halo-radius: 1.5;
      shield-text-dx: 20;
      shield-dx: 3;
      shield-text-dy: 20;
      shield-dy: 3;
      shield-placement: nutibillboard;
    }
    [type='town'] {
        text-size: 10;
        text-name: @name;
        text-face-name:	@sans_bd;
        [zoom>=9] { text-fill: #C4C4C4}
        [zoom>10] { text-fill: @font_color}
        [zoom>=12] { text-size: 16; text-min-distance: 0;}
        [zoom>=14] { text-size: 20; }
        [zoom>=16] { text-name: ""; }
    }
    [type='village'][zoom>10] {
        text-name: @name;
        text-size: 8;
        text-fill: #B9B5B5;
        text-face-name:	@sans;
        text-halo-radius: 0;
        [zoom>=12] {
            text-fill: @font_color;
            text-size: 10;
            text-halo-fill: #181212;
            text-halo-radius: 1.5;
        }
        [zoom>=14] { text-size: 14; }
        [zoom>=16] { text-size: 16; }
    }

    [type='neighbourhood'][zoom>=13][zoom<15],[type='hamlet'][zoom>=13][zoom<15]{
        text-name: @name;
        text-fill: #CCD2D2;
        text-halo-fill: #1A3434;
        text-face-name:	@sans;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14; }
    }

    [type='suburb'][zoom>10][zoom<13]
    {
        text-name: @name;
        text-fill: #F4F7FA;
        text-face-name:	@sans;
        text-halo-fill: #1A2731;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14; }
    }

    [type='locality'][zoom>=14] {
        text-face-name:	@sans;
        text-name: @name;
        text-size: 12;
        text-fill: #D1CBCB;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14;  }
    }
}

#sea_name{
  text-placement: nutibillboard;
  text-allow-overlap: true;
  text-name: @name;
  text-face-name: @sans_bd;
  [zoom<4]{text-face-name: @sans;}
  text-fill: #040017;
  text-size: 13;
  [zoom>8]{
    text-size:16;
   }
}

#poi{
  [type='subway_entrance'],[type='entrance']{
    [zoom>14]{
      marker-file: url('images/entrance.svg');
      marker-placement:nutibillboard;
    }
  }
}

['nuti::metro'='on']{
   #transport{
    ::line{
      [zoom=9]{line-width:1.5;}
      [zoom>9]{line-width:2.5;}
      line-color: "[color]";
      line-width:2.5;
      [zoom>16]{line-width:5;}
    }
    ::fill{
      [zoom>10]{
        line-color:#e6e5e0;
        line-width:2;
        line-dasharray:3,2;
        [zoom>10]{line-dasharray:6,5;}
        [zoom>12]{line-dasharray:9,7;}
        [zoom>16]{line-width:4;line-dasharray:15,10;}
      }
    }
  }
}

#country_label [zoom<6]{
  text-name: '[name]';
  text-face-name: @bold;
  text-placement: nutibillboard;
  text-size: 9;
  text-fill: @font_color;
  text-halo-radius:0;
}

#tunnel,#street,#bridge,#transportation_name {
  text-face-name:@sans_bd;
  text-placement:nutibillboard;
  text-fill:@font_color;
  text-name:"";
  text-size:10;
  text-halo-fill:@font_halo;
  text-halo-radius: 2;
  text-min-distance:50;
  [highway='trunk'][zoom>=12],[highway='motorway'][zoom>=11],
  [class='trunk'][zoom>=12],[class='motorway'][zoom>=11]  {
    text-name:"[name]";
    text-fill: [nuti::trunk-text-fill];
    text-halo-fill: [nuti::trunk-text-halo-fill];
    text-halo-radius: [nuti::trunk-text-halo-radius];
    text-placement: [nuti::trunk-text-placement];
    text-size: [nuti::trunk-text-size];
    text-face-name: '[nuti::trunk-text-face-name]';
  }
  [highway='primary'][zoom>=14],[class='primary'][zoom>=13] {
    text-name:"[name]";
    text-fill: [nuti::primary-text-fill];
    text-halo-fill: [nuti::primary-text-halo-fill];
    text-halo-radius: [nuti::primary-text-halo-radius];
    text-placement: [nuti::primary-text-placement];
    text-size: [nuti::primary-text-size];
    text-face-name: '[nuti::primary-text-face-name]';
  }
  [highway='secondary'][zoom>=14],
  [class='secondary'][zoom>=14]  {
    text-name:"[name]";
    text-fill: [nuti::secondary-text-fill];
    text-halo-fill: [nuti::secondary-text-halo-fill];
    text-halo-radius: [nuti::secondary-text-halo-radius];
    text-placement: [nuti::secondary-text-placement];
    text-size: [nuti::secondary-text-size];
    text-face-name: '[nuti::secondary-text-face-name]';
  }
  [highway='road'][zoom>=15],[highway='tertiary'],[class='tertiary'] {
    [zoom>=15]{
      text-name:"[name]";
      text-fill: [nuti::tertiary-text-fill];
      text-halo-fill: [nuti::tertiary-text-halo-fill];
      text-halo-radius: [nuti::tertiary-text-halo-radius];
      text-placement: [nuti::tertiary-text-placement];
      text-size: [nuti::tertiary-text-size];
      text-face-name: '[nuti::tertiary-text-face-name]';
    }
  }
  [highway='residential'],[highway='pedestrian'],[highway='living_street'],[highway='footway'],[highway='service'],[class='minor']{
    [zoom>=17]{
      text-name:"[name]";
      text-fill: [nuti::residential-text-fill];
      text-halo-fill: [nuti::residential-text-halo-fill];
      text-halo-radius: [nuti::residential-text-halo-radius];
      text-placement: [nuti::residential-text-placement];
      text-size: [nuti::residential-text-size];
      text-face-name: '[nuti::residential-text-face-name]';
    }
  }
}

