Map { font-directory: url("fonts/"); }

@regular:'Vazir FD Regular';
@bold:'Vazir FD Bold';
@italic:'Vazir FD Light';

#points {
  ::inner {
    marker-width: 14;
    marker-height: 14;
    marker-placement: nutibillboard;
    marker-max-error: 0.5;
    marker-file: url('images/[status]/[type].svg');

    [zoom >= 20] {
      marker-width: 18;
      marker-height: 18;
      marker-allow-overlap: true;
      marker-clip: false;
    }

    [type='shopping_mall'][zoom >= 18]
    {
      marker-width: 18;
      marker-height: 18;
      marker-allow-overlap: true;
      marker-clip: false;
    }

    [type='subway_station']
    {
      marker-allow-overlap: true;
      marker-clip: false;
    }

    [type='haram'], [type='interests'], [type='zoo'],
    [type='airport'], [type='train_station']
    {
      marker-allow-overlap: true;
      marker-clip: false;
    }

    [type='iran_khodro'], [type='saipa'],
    [type='road_police'], [type='road_service'],
    [type='danger'], [type='warning']
    {
      marker-allow-overlap: true;
      marker-clip: false;
    }

    [type='traffic_light_camera'], [type='camera']
    {
      marker-width: 0;
      marker-file: url('');
    }
  }


  ::labels {
    text-name: "";
    text-face-name: @regular;
    text-size: 8.5;
    text-dy: 14;
    text-character-spacing: 0;
    text-wrap-width: 100;
    text-fill: [color[nuti::normal-state-text-fill]] ? [color] : #dddddd;
    text-placement: nutibillboard;
    text-halo-fill: [color[nuti::normal-state-text-fill]] ? #ededed : #55565e;
    text-halo-radius: 1.5;

    [status = 'GREY'] {
      text-fill: [nuti::grey-state-text-fill];
    }

    [zoom >= 12] {
      text-name: [name];
    }

    [type='shopping_mall']
    {
      [zoom >= 18] {
        text-allow-overlap: true;
        text-clip: false;
      }
    }

    [type='atm'], [type='wc'], [type='parking'], [type='road_helal_ahmar'], [type='bus_station'], [type='taxi_stand'],[type='bicycle_station']
    {
      [zoom < 20]{
        text-name: "";
      }
    }

    [type='store'], [type='bicycle_store'], [type='book_store'], [type='car_related_store'],
    [type='dairy_store'], [type='pet_store'], [type='textile_store'], [type='convenience_store'],
    [type='clothes'], [type='clothes_kids'], [type='department_store'], [type='furniture'],
    [type='supermarket'], [type='jewelry'], [type='shoe']
    {
      [zoom < 19] {
        text-name: "";
      }
    }

    [type='gas_station']
	{
	  [zoom <= 14]{
		text-name: "";
	  }
	}

    [type='subway_station']
    {
      [zoom < 15]{
        text-name: "";
      }
    }

    [type='haram'], [type='interests'], [type='zoo'],
    [type='airport'], [type='train_station']
    {
      [zoom > 14]{
        text-allow-overlap: true;
        text-clip: false;
      }
    }

    [type='iran_khodro'], [type='saipa'],
    [type='road_police'], [type='road_service'],
    [type='danger'], [type='warning']
    {
      [zoom > 14]{
        text-allow-overlap: true;
        text-clip: false;
      }

      [zoom < 15]{
        text-name: "";
      }
    }

    [zoom >= 20] {
      text-size: 9.5;
      text-allow-overlap: true;
      text-clip: false;
    }
  }
}
