@opacity: 0.3;
@trunk:#fff;
@trunk_border: #fff;
@trunk_tunnel:lighten(@trunk,5%);

@primary:#fff;
@primary_border: #fff;
@primary_tunnel: lighten(@primary,10%);
@primary_up: #fff;

@other: #fff;
@service: #fff;

@back:  #ededed;

@font_color: #404040;
@font_halo: #FFF;
@halo_radious: 2.5;
@text_placement: line;

@arrow:#000000;

@university:#7dcdca;
@water: #a0c8f0;
@hospital:#e9c5c5;
@natural: #7BF5B0
@military: #bd7426;
@embassy:#cbccd4;
@industrial:#ebe3c4;
@aeroway:#d7ddda;
@cemetery: #e0e0e0;
@traffic_zone_border: darken(#c2763c,5%); 
@traffic_zone_fill: #c2763c;
@odd_even_zone_fill: #6470e6;
@odd_even_zone_border: darken(#6470e6,5%);

@regular:'Vazir FD Regular';
@bold:'Vazir FD Bold';
@italic:'Vazir FD Light';

@name: '[name]';
@sans: @regular;
@sans_md: @regular;
@sans_bd: @bold;
@sans_it: @italic;
@sans_lt_italic: @italic;
@sans_lt: @regular;

Map {
  font-directory: url("fonts/");
}

#admin,#boundary {
  line-join: round;
  line-color: lighten(#446,20%);
  // Countries
  [admin_level=2] {
    line-width: 0.8;
    line-cap: round;
    [zoom>=4] { line-width: 1.2; }
    [zoom>=6] { line-width: 2; }
    [zoom>=8] { line-width: 4; }
    [disputed=1] {
      line-dasharray: 4,4;
      [zoom>=8] { line-dasharray: 7,7; }
    }
  }

  // States / Provices / Subregions
  [admin_level=4] {
    line-color:#847D2A;
    line-width: 0.4;
    [zoom>=7] {line-dasharray: 5,1; line-width: 1; line-color:lighten(#AA8939,10%); }
    [zoom>=12] { line-width: 1.5;line-dasharray: 10,3,3; }
  }
}

#zones[zoom>8] {
  [zoom>11]{
    text-placement:line;
    text-face-name:@bold;
    text-name:"[name]";
    text-size:10;
    text-halo-radius: 2.5;
    text-dy:-8;
  }
  [type='odd_even_zone']{
    text-fill: @odd_even_zone_border;
    text-halo-fill: @font_halo;
    ::line{
      line-color:@odd_even_zone_border;
      line-width: linear([view::zoom],(9,0.5),(16,3));
      [zoom>11]{line-dasharray:10,5};
    }
    ::fill{
      line-color:@odd_even_zone_border;
      line-width: linear([view::zoom],(9,1),(15,8));
      line-opacity:0.2;
    }
  }
  [type='traffic_zone']{
    text-fill: @traffic_zone_border;
    text-halo-fill: @font_halo;
    ::line{
      line-color:@traffic_zone_border;
      line-width: linear([view::zoom],(9,0.5),(16,3));
      [zoom>11]{line-dasharray:10,5};
    }
    ::fill{
      line-color:@traffic_zone_border;
      line-width: linear([view::zoom],(9,1),(15,8));
      line-opacity:0.2;
    }
  }
}

#tunnel,#street,#bridge {
    [highway='pedestrian'][zoom>=16]{
        line-opacity: @opacity;
        line-color:@other;
        line-cap:round;
        line-join:round;
        line-width: 0.0042112055*exp(0.3804238*[view::zoom])-.9;
    }

    //residential
    [highway='living_street'][zoom>16],[highway='service'][zoom>16]{
      line-opacity: @opacity;
      line-color:@other;
      line-cap:round;
      line-join:round;
      line-width: 0.0031112055*exp(0.4004238*[view::zoom]);
    }
    //residential
    [highway='residential'][zoom>15],[highway='unclassified'][zoom>15]{
      line-opacity: @opacity;
      line-color:@other;
      line-cap:round;
      line-join:round;
      line-width: 0.0031112055*exp(0.4310819121*[view::zoom]);
    }
    //tertiary
    [highway='tertiary'][zoom>14],[highway='tertiary_link'][zoom>14]{
      line-opacity: @opacity;
      line-color: @other;
      line-cap:round;
      line-join:round;
      line-width: 0.0040112055*exp(0.4310819121*[view::zoom]);
    }

    //secondary
    [highway='secondary'],[highway='secondary_link']{
      line-opacity: @opacity;
      line-color:@other;
      line-cap:round;
      line-join:round;
      line-width: 0.003935542*exp(0.4316819121*[view::zoom]);
    }

    //primary
    [highway='primary'][zoom>11],[highway='primary_link'][zoom>12]{
      ::line{
        line-color: rgba(0,0,0,0.25);
        line-width: 0.031470862*exp(0.3331908932*[view::zoom]);
      }
      ::fill{
        line-cap:round;
        line-join:round;
        line-opacity:linear([view::zoom],(5,.8),(16,.3));
        line-color: @trunk;
        line-width: 0.027470862*exp(0.3301908932*[view::zoom]);
      }
    }

    //trunk
    [highway='trunk'],[highway='trunk_link'][zoom>12],[highway='motorway'],[highway='motorway_link'][zoom>12]{
      ::line{
        line-color: rgba(0,0,0,0.3);
        line-width: 0.032470862*exp(0.3331908932*[view::zoom]);
      }
      ::fill{
        line-cap:round;
        line-join:round;
        line-opacity:linear([view::zoom],(5,.8),(16,.3));
        line-color: @trunk;
        line-width: 0.028470862*exp(0.3301908932*[view::zoom]);
      }
    }
}


#place_label[type='state'][zoom<=13] {
    text-name: '[name]';
    text-placement: nutibillboard;
    text-fill: @font_color;
    text-size: 8;
    text-wrap-width: 40;
    text-face-name:	@regular;
    text-halo-fill: @font_halo;
    text-halo-radius: 2.5;
}

#place_label[zoom>=5]{
    text-halo-fill:@font_halo;
    text-halo-radius: 2.5;
    text-placement: nutibillboard;
    text-fill:@font_color;
    text-name: "";
    [type='city'][zoom>=5][zoom<=12] {
      shield-file: url("images/dot.svg");
      shield-name: '[name]';
      shield-size: 10;
      shield-face-name: @bold;
      shield-placement: nutibillboard;
      shield-fill: @font_color;
      shield-text-dx: 20;
      shield-dx: 3;
      shield-text-dy: 20;
      shield-dy: 3;
      shield-placement: nutibillboard;
    }
    [type='town'],[class='town'] {
        text-size: 10;
        text-name: @name;
        text-face-name:	@sans_bd;
        [zoom>=9] { text-fill: #757575}
        [zoom>10] { text-fill: @font_color}
        [zoom>=12] { text-size: 16; text-min-distance: 0;}
        [zoom>=14] { text-size: 20; }
        [zoom>=16] { text-name: ""; }
    }
    [type='village'][zoom>10],[class='village'][zoom>10] {
        text-name: @name;
        text-size: 8;
        text-fill: #757575;
        text-face-name:	@sans;
        [zoom>=12] {text-fill: @font_color; text-size: 10; }
        [zoom>=14] { text-size: 14; }
        [zoom>=16] { text-size: 16; }
    }

    [type='neighbourhood'][zoom>=13][zoom<15],[type='hamlet'][zoom>=13][zoom<15],
    [class='neighbourhood'][zoom>=13][zoom<15],[class='hamlet'][zoom>=13][zoom<15]{
        text-name: @name;
        text-fill: #033f48;
        text-face-name:	@sans;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14; }
    }

    [type='suburb'][zoom>10][zoom<13], [class='suburb'][zoom>10][zoom<13]
    {
        text-name: @name;
        text-fill: #41581A;
        text-face-name:	@sans;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14; }
    }

    [type='locality'][zoom>=14],[class='locality'][zoom>=14] {
        text-face-name:	@sans;
        text-name: @name;
        text-size: 12;
        text-fill: #565656;
        [zoom>=14] { text-size: 11; }
        [zoom>=15] { text-size: 12; }
        [zoom>=16] { text-size: 14;  }
    }
}


['nuti::metro'='on']{
  #transport{
    ::line{
      line-color: "[color]";
      line-width:2.5;
      [zoom>16]{line-width:5;}
    }
    ::fill{
      [zoom>10]{
        line-color:#e6e5e0;
        line-width:2;
        line-dasharray:3,2;
        [zoom>10]{line-dasharray:6,5;}
        [zoom>12]{line-dasharray:9,7;}
        [zoom>16]{line-width:4;line-dasharray:15,10;}
      }
    }
  }
}

#country_label[zoom<6]{
  text-name: '[name]';
  text-face-name: @bold;
  text-placement: nutibillboard;
  text-size: 9;
  text-fill: @text-fill;
  text-halo-fill: @font_halo;
  text-halo-radius: 2.5;
}

#tunnel,#street,#bridge,#transportation_name {
  text-face-name:@bold;
  text-placement:line;
  text-fill:@font_color;
  text-name:"";
  text-size:10;
  text-halo-fill:@font_halo;
  text-halo-radius: 2.5;
  text-min-distance:50;
  [highway='trunk'][zoom>=12],[highway='motorway'][zoom>=11],
  [class='trunk'][zoom>=12],[class='motorway'][zoom>=11] {
    text-name:"[name]";
    text-fill: [nuti::trunk-text-fill];
    text-halo-fill: [nuti::trunk-text-halo-fill];
    text-halo-radius: [nuti::trunk-text-halo-radius];
    text-size: [nuti::trunk-text-size];
    text-face-name: '[nuti::trunk-text-face-name]';
  }
  [highway='primary'][zoom>=14],
  [class='primary'][zoom>=13] {
    text-name:"[name]";
    text-fill: [nuti::primary-text-fill];
    text-halo-fill: [nuti::primary-text-halo-fill];
    text-halo-radius: [nuti::primary-text-halo-radius];
    text-size: [nuti::primary-text-size];
    text-face-name: '[nuti::primary-text-face-name]';
  }
  [highway='secondary'][zoom>=14],
  [class='secondary'][zoom>=14] {
    text-name:"[name]";
    text-fill: [nuti::secondary-text-fill];
    text-halo-fill: [nuti::secondary-text-halo-fill];
    text-halo-radius: [nuti::secondary-text-halo-radius];
    text-size: [nuti::secondary-text-size];
    text-face-name: '[nuti::secondary-text-face-name]';
  }
  [highway='road'],[highway='tertiary'],[class='tertiary'] {
    [zoom>=15]{
      text-name:"[name]";
     text-fill: [nuti::tertiary-text-fill];
    text-halo-fill: [nuti::tertiary-text-halo-fill];
    text-halo-radius: [nuti::tertiary-text-halo-radius];
    text-size: [nuti::tertiary-text-size];
    text-face-name: '[nuti::tertiary-text-face-name]';
    }
  }
  [highway='residential'],[highway='living_street'],[highway='footway'],[highway='service'],[class='minor']{
    [zoom>=17]{
      text-name:"[name]";
      text-fill: [nuti::residential-text-fill];
      text-halo-fill: [nuti::residential-text-halo-fill];
      text-halo-radius: [nuti::residential-text-halo-radius];
      text-size: [nuti::residential-text-size];
      text-face-name: '[nuti::residential-text-face-name]';
    }
  }
}
