Map{
  background-color: #ededed;
   font-directory: url("fonts/");
}
#fair{
  text-face-name:'Vazir FD Bold';
  text-fill:#444;
  text-name:"";
  text-size:10;
  text-halo-fill: #fff;
  text-halo-radius: 1;
  [landuse='commercial']{
    line-color: #d2d2d2;
    line-width:2;
  }
  [landuse='forest']{
    polygon-fill:mix(#7BF5B0,#ededed,70%);
    polygon-opacity:0.6;
  }
  [landuse='basin']{
    polygon-opacity:0.8;
    polygon-fill:#a0c8f0;
    line-color: darken(#a0c8f0,10%);
    line-width:1;
  }
  [amenity='parking']{
    polygon-fill:#ebe3c4;
    line-color: darken(#ebe3c4,10%);
    line-width:1;
    polygon-opacity:0.5;
  }
  [building='yes']{
    [main_hall='yes']{
      line-color: #4F5B69;
      line-width: 0.5;
    }
      polygon-fill: #B8B8B8;
      polygon-opacity: -0.1*[view::zoom]+1.9;
  }
  [landuse='retail']{
    polygon-fill:#B69CCA;
    line-color: #6D448C;
    line-width:1;
    line-opacity: 0.1*[view::zoom]-1.5;
    polygon-opacity: 0.1*[view::zoom]-1.5;
  }
  [highway='trunk'],[highway='trunk_link']
  {
    text-placement:line;
    text-name:"[name]";
    text-size: 14;
    text-halo-radius: 2;
    [zoom>18]{text-size: 16;}
    [zoom>19]{text-size: 18;}
    ::line{
      line-cap:round;
      line-join:round;
      line-color:#617a8b;
      line-width:9;
      [zoom>18]{line-width:18;}
      [zoom>19]{line-width:32;}
    }
    ::fill{
      line-cap:round;
      line-join:round;
      line-color:#8a939e;
      line-width:6;
      [zoom>18]{line-width:16;}
      [zoom>19]{line-width:30;}
    }
  }

  [highway='service']
  {
    [zoom>18]{text-size: 14;}
    [zoom>19]{text-size: 16;}
    ::line{
      line-cap:round;
      line-join:round;
      line-color:darken(#b3bfc9,10%);
      line-width:6;
      [zoom>18]{line-width:10;}
      [zoom>19]{line-width:18;}
    }
    ::fill{
      line-cap:round;
      line-join:round;
      line-color:lighten(#b3bfc9,3%);
      line-width:4;
      [zoom>18]{line-width:8;}
      [zoom>19]{line-width:15;}
    }
  }

  [highway='footway'],[highway='steps'],[highway='pedestrian']{
      line-color: lighten(#b3bfc9,5%);
      line-width:3;
  }
  [highway='secondary'],[highway='secondary_link'],[highway='tertiary'],[highway='tertiary_link']
  {
    text-placement:line;
    text-name:"[name]";
    text-size: 12;
    [zoom>18]{text-size: 14;}
    [zoom>19]{text-size: 16;}
    ::line{
      line-cap:round;
      line-join:round;
      line-color:#617a8b;
      line-width:9;
      [zoom>18]{line-width:16;}
      [zoom>19]{line-width:32;}
    }
    ::fill{
      line-cap:round;
      line-join:round;
      line-color:#a9b3bd;
      line-width:6;
      [zoom>18]{line-width:14;}
      [zoom>19]{line-width:30;}
    }
  }

  [highway='residential'],[highway='unclassified']{
    ::line{
      line-color:darken(#b3bfc9,15%);
      line-width:9;
    }
    ::fill{
      line-color:#b3bfc9;
      line-width:6;
    }
  }
}

#poi{
  text-face-name:'Vazir FD Bold';
  text-fill:#444;
  text-name:"";
  text-size:10;
  text-halo-fill: #fff;
  text-halo-radius: 1;

  [amenity='place_of_worship']{
    marker-placement:nutibillboard;
    marker-allow-overlap:true;
    marker-file: url('icons/mosque.svg');
    [zoom>18]{
    text-name: "[name]";
    text-size: 12;
    text-placement: nutibillboard;
    text-dy: 12;}
  }
  [amenity='restaurant']{
    marker-placement:nutibillboard;
    marker-file: url('icons/restaurant.svg');
  }
  [amenity='drinking_water']{
    marker-placement:nutibillboard;
    marker-file: url('icons/water.svg');
  }
  [amenity='telephone'][zoom>18]{
    marker-placement:nutibillboard;
    marker-file: url('icons/phone.svg');
  }
  [amenity='toilets']{
    marker-placement:nutibillboard;
    marker-file: url('icons/wc.svg');
  }
  [type='parking']{
		marker-file: url('icons/parking.svg');
		marker-allow-overlap:true;
		text-name: "[name]";
		text-size: 12;
		text-placement: nutibillboard;
		text-dy: 12;
  }
  [amenity='cafe']{
    marker-file: url('icons/cafe.svg');
    marker-placement:nutibillboard;
  }
  [highway='bus_stop']{
    marker-file: url('icons/bus.svg');
    marker-placement:nutibillboard;
  }
}

#hall[zoom<19]{
    text-fill:#040c7e;
    text-face-name: 'Vazir FD Bold';
    text-allow-overlap: true;
    text-placement:nutibillboard;
    text-name:"[name]";
}

#points[zoom>18]{
  text-face-name:'Vazir FD Bold';
  text-fill:#444;
  text-halo-fill: #fff;
  text-halo-radius: 1;
  text-name: "[name]";
  text-size: 10;
  text-placement: nutibillboard;
  [zoom>19]{text-size: 12;}
  [zoom>21]{text-size: 14;}
}